botruntime
API ReferenceTables API

Update Table Rows

Updates specified rows in a table, allowing partial success with detailed feedback on errors.

PUT
/v1/tables/{table}/rows

Path Parameters

table*string

The table's name or unique identifier for targeting specific table operations.

Request Body

application/json

Data for rows to update, including IDs. Errors affect only specific rows, not the entire batch.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/tables/string/rows" \  -H "Content-Type: application/json" \  -d '{    "rows": [      {        "id": 2147483647      }    ]  }'
{  "rows": [    {      "id": 0,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "computed": {        "property1": {          "status": "string",          "error": "string",          "updatedBy": "string",          "updatedAt": "string"        },        "property2": {          "status": "string",          "error": "string",          "updatedBy": "string",          "updatedAt": "string"        }      },      "stale": [        "string"      ],      "similarity": 0    }  ],  "warnings": [    "string"  ],  "errors": [    "string"  ]}
{  "rows": [    {      "id": 0,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "computed": {        "property1": {          "status": "string",          "error": "string",          "updatedBy": "string",          "updatedAt": "string"        },        "property2": {          "status": "string",          "error": "string",          "updatedBy": "string",          "updatedAt": "string"        }      },      "stale": [        "string"      ],      "similarity": 0    }  ],  "warnings": [    "string"  ],  "errors": [    "string"  ]}